Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.audit
Interface DSPAuditEvent

    public interface DSPAuditEvent

This class is used to pass auditing information from ALDSP dataspace to the WLS auditing service. It may be generated for different actions in ALDSP - differentiated by event kind. Event kinds are defined in this interface. They may be queried using the getEventKind() method.

Field Summary
`static int` | `CONFIGURATION_EVENT`
`static java.lang.String` | `CONFIGURATION_EVENT_S`
`static int` | `DATASPACE_EVENT`
`static java.lang.String` | `DATASPACE_EVENT_S`
`static int` | `EVALUATION_EVENT`
`static java.lang.String` | `EVALUATION_EVENT_S`
`static java.lang.String` | `EVENTTYPE`
`static int` | `METADATA_EVENT`
`static java.lang.String` | `METADATA_EVENT_S`
`static int` | `SQLQUERY_EVENT`
`static java.lang.String` | `SQLQUERY_EVENT_S`
`static int` | `UPDATE_ERROR_EVENT`
`static java.lang.String` | `UPDATE_ERROR_EVENT_S`
`static int` | `UPDATE_EVENT`
`static java.lang.String` | `UPDATE_EVENT_S`
`static java.lang.String` | `VERSION`

Method Summary
`java.util.List<DSPAuditRecord>` | `getAllRecords()` Returns a list of DSPAuditRecord for this event.
`java.lang.String` | `getApplication()`
`java.lang.String` | `getEventIdentifier()`
`int` | `getEventKind()`
`java.lang.Object[]` | `getProperty(java.lang.String propertyId)` Returns a list of property values for a specified property.
`java.util.List<DSPAuditRecord>` | `getRecords(java.lang.String recordType)` Returns a list of instances of DSPAuditRecord representing a specific audit record type for this event.
`java.util.Date` | `getTime()` Deprecated.
`java.util.Date` | `getTimeStamp()`
`java.lang.String` | `getUser()`
`java.lang.String` | `getVersion()`

Field Detail

### EVENTTYPE

    static final java.lang.String EVENTTYPE

See Also:
  Constant Field Values

### VERSION

    static final java.lang.String VERSION

See Also:
  Constant Field Values

### EVALUATION_EVENT

    static final int EVALUATION_EVENT

See Also:
  Constant Field Values

### EVALUATION_EVENT_S

    static final java.lang.String EVALUATION_EVENT_S

See Also:
  Constant Field Values

### CONFIGURATION_EVENT

    static final int CONFIGURATION_EVENT

See Also:
  Constant Field Values

### CONFIGURATION_EVENT_S

    static final java.lang.String CONFIGURATION_EVENT_S

See Also:
  Constant Field Values

### UPDATE_EVENT

    static final int UPDATE_EVENT

See Also:
  Constant Field Values

### UPDATE_EVENT_S

    static final java.lang.String UPDATE_EVENT_S

See Also:
  Constant Field Values

### SQLQUERY_EVENT

    static final int SQLQUERY_EVENT

See Also:
  Constant Field Values

### SQLQUERY_EVENT_S

    static final java.lang.String SQLQUERY_EVENT_S

See Also:
  Constant Field Values

### METADATA_EVENT

    static final int METADATA_EVENT

See Also:
  Constant Field Values

### METADATA_EVENT_S

    static final java.lang.String METADATA_EVENT_S

See Also:
  Constant Field Values

### DATASPACE_EVENT

    static final int DATASPACE_EVENT

See Also:
  Constant Field Values

### DATASPACE_EVENT_S

    static final java.lang.String DATASPACE_EVENT_S

See Also:
  Constant Field Values

### UPDATE_ERROR_EVENT

    static final int UPDATE_ERROR_EVENT

See Also:
  Constant Field Values

### UPDATE_ERROR_EVENT_S

    static final java.lang.String UPDATE_ERROR_EVENT_S

See Also:
  Constant Field Values

Method Detail

### getVersion

    java.lang.String getVersion()

  Returns:
    version identifier for this event (`DSPAuditEvent.VERSION`)

### getEventIdentifier

    java.lang.String getEventIdentifier()

  Returns:
    An identifier for the event. It is unique for each server instance and application between server restarts. It may be used to correlate partial events that had been emitted and contain records from this main event.

### getAllRecords

    java.util.List<DSPAuditRecord> getAllRecords()

  Returns a list of DSPAuditRecord for this event.

  Returns:
    list of records

### getRecords

    java.util.List<DSPAuditRecord> getRecords(java.lang.String recordType)

  Returns a list of instances of DSPAuditRecord representing a specific audit record type for this event.

  Returns:
    list of records @param recordType - record type identifier

### getProperty

    java.lang.Object[] getProperty(java.lang.String propertyId)

  Returns a list of property values for a specified property.

  Parameters:
    `propertyId` - audit property identifier
  Returns:
    list of values

### getApplication

    java.lang.String getApplication()

  Returns:
    identifier of a DSP data space

### getUser

    java.lang.String getUser()

  Returns:
    identifier of a user who executed the operation

### getTime

    java.util.Date getTime()

  Deprecated.

  Returns:
    creation time of the event

### getTimeStamp

    java.util.Date getTimeStamp()

  Returns:
    creation time of the event

### getEventKind

    int getEventKind()

  Returns:
    If this event is generated during a query evaluation, update or configuration Appropriate constants are defined in this interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.